

namespace OASystem.Domain.Entities.Customer
{
    /// <summary>
    /// 客户家庭成员表
    /// </summary>
    [SugarTable("Crm_VisaCustomerFamily")]
    public class Crm_VisaCustomerFamily:EntityBase
    {
        /// <summary>
        /// 客户表ID
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DcId { get; set; }
        /// <summary>
        /// 家庭成员称谓
        /// SetData = 40  签证客户家人称谓  读取时使用 
        /// 存储时 存储name
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Appellation { get; set; }
        /// <summary>
        /// 家庭成员姓名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Name { get; set; }
        /// <summary>
        /// 家庭成员出生日期
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="DateTime")]
        public DateTime BirthDay { get; set; }
        /// <summary>
        /// 家庭成员出生地
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string BirthPlace { get; set; }
        /// <summary>
        /// 家庭成员政治面貌
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Politics { get; set; }
        /// <summary>
        /// 家庭成员工作单位
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(80)")]
        public string Client { get; set; }
        /// <summary>
        /// 家庭地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(80)")]
        public string Address { get; set; }
        /// <summary>
        /// 是否欧盟公民 0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsEu { get; set; }
        /// <summary>
        /// 拥有欧盟、欧洲经济区或瑞士公民身份的家庭成员姓名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string NameSnd { get; set; }
        /// <summary>
        /// 拥有欧盟、欧洲经济区或瑞士公民身份的家庭成员生日
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime BirthDaySnd { get; set; }
        /// <summary>
        /// 拥有欧盟、欧洲经济区或瑞士公民身份的家庭成员国籍
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Nationality { get; set; }
        /// <summary>
        /// 拥有欧盟、欧洲经济区或瑞士公民身份的家庭成员旅行证件编号或身份证号码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string IDCard { get; set; }
        /// <summary>
        /// 拥有欧盟、欧洲经济区或瑞士公民身份的家庭成员与申请人的关系
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Reletionship { get; set; }
        /// <summary>
        /// 家庭成员是否在美国
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsUSA { get; set; }
    }
}
